#include "main.h"

// a sample exported function
void DLL_EXPORT GetLocalMaxMin(double* x_sm[],double* x_rl[], double* loc_max[], double* loc_min[], int N, bool real_price)
{
    int min_index=0;
    int max_index=0;
    for(int i=1; i<N-1; i++)
     {
      if(x_sm[i-1]<x_sm[i]&& x_sm[i]>x_sm[i+1])
        {
         if(real_price)
            {
                loc_max[max_index]=x_rl[i];
                max_index++;
            }
         else
             {
                loc_max[max_index]=x_sm[i];
                max_index++;
             }
        }

      if(x_sm[i-1]>x_sm[i]&& x_sm[i]<x_sm[i+1])
        {

         if(real_price)
            {
                loc_min[min_index]=x_rl[i];
                min_index++;
            }
         else
             {
                loc_min[min_index]=x_sm[i];
                min_index++;
             }
        }
     }
}

extern "C" DLL_EXPORT BOOL APIENTRY DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // attach to process
            // return FALSE to fail DLL load
            break;

        case DLL_PROCESS_DETACH:
            // detach from process
            break;

        case DLL_THREAD_ATTACH:
            // attach to thread
            break;

        case DLL_THREAD_DETACH:
            // detach from thread
            break;
    }
    return TRUE; // succesful
}
